PUT
/
v2
/
automation
/
profiles
/
{id}
Update automation profile
curl --request PUT \
  --url https://coreapi-dev.us.bcpapers.ca/v2/automation/profiles/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enabled": true,
  "name": "<string>"
}
'
{
  "created_at": "<string>",
  "deleted_at": "<string>",
  "enabled": true,
  "id": "<string>",
  "name": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

Paste the JWT token only (no "Bearer " prefix needed — the UI adds it automatically).

Path Parameters

id
string
required

Profile ID

Body

application/json

Profile update

enabled
boolean
name
string

Response

200 - application/json

OK

created_at
string
deleted_at
string
enabled
boolean
id
string
name
string
updated_at
string